From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 24 November 2004<P>

juan d'fule; <a href="/blend/wv.cgi?id=2004.11.24.06.04.29305">Monday</a> is lovely and just what I needed with Wednesdays tea and toast to start my morning. Thanks for sharing with us, may we have more please?<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 24 November 2004<P>

Happy Thanksgiving EVE! Stay safe on this busy traveled holiday weekend...<BR>
Pam
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 24 November 2004<P>

Cooking is hard work, whew! I'm going to my sisters so I don't have to cook it all (I'm thankful for that!) Thus far I've made fresh cranberry sauce, A cheesecake to die for, A turkey breast for me ha, Jalapeno cornbread (for me)Fresh squeezed limeade. Tomorrow I'll make the asparagus and sauce and maybe (not sure yet) a scratch pumpkin pie and sweet potatoes. (while I watch the parade)<BR>
<BR>
Talking to Rens; She's wishing you all a Happy Thanksgiving too. She and the Captn are sailing to the coast of Oregon for about three weeks. She sounds happier than ever which makes me smile just hearing her sound so strong. <BR>
<BR>
Cheers to you all, and Happy Thanksgiving Day to you and yours!<BR>
<BR>
bk
<HR>